.share-did {
  height: 55rem;

  background: #ffffff url("/assets/blob-purple.svg") no-repeat;
  background-position-y: -5rem;
  background-position-x: -5rem;

  border: 1px dashed rgba(41, 69, 151, 0.88);
  box-shadow: 3px 5px 8px rgba(0, 0, 0, 0.06);
  border-radius: 4px;

  display: grid;
  grid-template-columns: 2rem repeat(5, 1fr) 2rem;
  grid-template-rows: 10rem 15rem auto 10rem;

  div:nth-child(1) {
    grid-column: 4/5;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1.5rem 0 0.5rem 0;
  }

  div:nth-child(2) {
    grid-column: 3/6;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    color: #d9d9d9;
    span {
      text-align: center;
    }
  }

  div:nth-child(3) {
    grid-column: 2/7;

    display: grid;
    grid-template-columns: 2rem repeat(3, 1fr) 2rem;

    div:nth-child(1) {
      grid-column: 2/3;
      display: flex;
      align-items: center;
      justify-items: center;
      font-size: 1.3rem;
      color: #294597;
    }

    div:nth-child(2) {
      grid-column: 2/3;
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 2rem;
      color: #d9d9d9;
    }

    div:nth-child(3) {
      grid-column: 3/5;
      padding: 0.5rem 0;
      display: flex;
      align-items: center;
      justify-items: start;
      font-size: 1.4rem;
    }

    div:nth-child(4) {
      grid-column: 2/3;
      text-align: start;
      font-size: 1.3rem;
      color: #294597;
    }

    div:nth-child(5) {
      grid-column: 3/6;
      display: flex;
      text-align: start;
      align-items: center;
      font-size: 1.4rem;
    }
  }

  div:nth-child(4) {
    grid-column: 2/7;
    padding: 2rem 0;
    display: flex;
    justify-content: space-around;

    span {
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }

  .border-did {
    border: #0d0d0d 1px solid;
    border-radius: 10px;
    background-color: #ffffff;
  }
}

@media screen and (min-width: 650px) {
  .share-did {
    background-size: 100rem;
    grid-template-rows: 15rem 15rem auto 10rem;

    div:nth-child(4) {
      span {
        #cancel {
          --background: #ffffff;
        }
      }
    }
  }
}

@media screen and (min-width: 1450px) {
  .share-did {
    background-size: 150rem;

    div:nth-child(3) {
      grid-column: 4/5;
      display: grid;
      align-items: center;
      justify-items: center;
    }
  }
}
